#ifdef VERTEX_SHADER
attribute vec2 position;
attribute vec2 texture0;

varying vec2 texture_f;

#ifdef ALPHA_EXISTS
attribute vec2 texture1;
varying vec2 texture_alpha_f;
#endif

void main(void) {
    texture_f = texture0;
#ifdef ALPHA_EXISTS
    texture_alpha_f = texture1;
#endif
    gl_Position = vec4(position, 0.0, 1.0);
}
#endif

#ifdef FRAGMENT_SHADER
uniform sampler2D texture_u;
varying vec2 texture_f;

#ifdef ALPHA_EXISTS
uniform sampler2D texture_alpha_u;
varying vec2 texture_alpha_f;
#endif

void main(void) {
#ifdef ALPHA_EXISTS
    gl_FragColor = vec4(texture2D(texture_u, texture_f).rgb, texture2D(texture_alpha_u, texture_alpha_f).r);
#else
    gl_FragColor = vec4(texture2D(texture_u, texture_f).rgb, 1.0);
#endif
}
#endif
